List provider withdrawals
Returns provider withdrawal intents and their lifecycle statuses.
GET/api/v1/providers/withdrawalsWallet JWT
For AI agents
Provider audit view for withdrawal intents. Stale active tickets may be lazily cancelled and released when this endpoint is read.
Requires: Valid JWT (provider wallet)
Parameters
limitquery · optional
Maximum rows
Generated OpenAPI reference
GET
/api/v1/providers/withdrawalsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Maximum rows
Response Body
application/json
curl -X GET "https://api-staging.synapse-network.ai/api/v1/providers/withdrawals"{
"status": "success",
"ownerAddress": "0xProviderWallet",
"withdrawals": [
{
"withdrawalId": "wd_abc",
"amountUsdc": "12.50",
"status": "APPROVED_AUTO"
}
]
}